This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get application via auth token

POST https://api-sandbox.payabli.com/api/Boarding/read/{xId}
Content-Type: application/json

Gets a boarding application by authentication information. This endpoint requires an `application` API token. 

Reference: https://docs.payabli.com/developers/api-reference/boarding/get-boarding-application-by-auth

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Boarding/read/{xId}:
    post:
      operationId: get-application-by-auth
      summary: Get boarding application by auth
      description: >-
        Gets a boarding application by authentication information. This endpoint
        requires an `application` API token. 
      tags:
        - subpackage_boarding
      parameters:
        - name: xId
          in: path
          description: >-
            The application ID in Hex format. Find this at the end of the
            boarding link URL returned in a call to
            api/Boarding/applink/{appId}/{mail2}. For example in: 
            `https://boarding-sandbox.payabli.com/boarding/externalapp/load/17E`,
            the xId is `17E`. 
          required: true
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:ApplicationQueryRecord'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  $ref: '#/components/schemas/type_:Email'
                  description: >-
                    The email address the applicant used to save the
                    application.
                referenceId:
                  type: string
                  description: >-
                    The referenceId is sent to the applicant via email when they
                    save the application.
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:Email:
      type: string
      format: email
      description: Email address.
      title: Email
    type_:Annualrevenue:
      type: number
      format: double
      description: Annual revenue amount.
      title: Annualrevenue
    type_:Avgmonthly:
      type: number
      format: double
      description: >-
        Average total amount of transactions in your local currency that are
        processed each month.
      title: Avgmonthly
    type_:Ticketamt:
      type: number
      format: double
      description: >-
        The average transaction size that the business expects to process. For
        example, if you process \$10,000 a month across 10 transactions, that's
        an average ticket of \$1000.
      title: Ticketamt
    type_:Baddress1:
      type: string
      description: Business address. This must be a physical address, not a P.O. box.
      title: Baddress1
    type_:Baddress2:
      type: string
      description: >-
        Business address additional line. If used, this must be the physical
        address of the business, not a P.O. box.
      title: Baddress2
    type_:AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    type_:BankNickname:
      type: string
      description: User-defined name for the bank account.
      title: BankNickname
    type_:BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    type_:RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    type_:AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    type_:TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    type_:BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    type_:BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    type_:BankAccountFunction:
      type: integer
      description: >-
        Indicates the function of the bank account:

        * 0 - Deposits

        * 1 - Withdrawals

        * 2 - Deposits & Withdrawals

        * 3 - Remittances

        * 4 - Remittances & Deposits

        * 5 - Remittances & Withdrawals

        * 6 - Remittances & Withdrawals & Deposits


        A paypoint is required to have a single deposit and withdrawal account.
        A Paypoint can have as many remittance accounts as needed for pay outs
        (remittances).
      title: BankAccountFunction
    type_:Bank:
      type: object
      properties:
        id:
          type: integer
          description: The Payabli-assigned internal identifier for the bank account.
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
          description: >-
            An identifier for the bank account, used to specify which account
            handles payments when multiple accounts are configured. If not
            provided during creation or update, the system generates one in the
            format `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. The mask always uses five `x` characters regardless of
            account number length. For example, account number `123456789`
            produces `acct-1xxxxx6789`. If a duplicate exists within the same
            service at the paypoint, a numeric suffix is appended, such as
            `acct-1xxxxx6789-2`. This value is also used as the identifier for
            the bank account's associated payment connector.
        nickname:
          $ref: '#/components/schemas/type_:BankNickname'
        bankName:
          $ref: '#/components/schemas/type_:BankName'
        routingAccount:
          $ref: '#/components/schemas/type_:RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/type_:AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/type_:TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/type_:BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/type_:BankAccountHolderType'
        bankAccountFunction:
          $ref: '#/components/schemas/type_:BankAccountFunction'
        verified:
          type: boolean
          description: >-
            Bank account verification status. When `true`, the account has been
            verified to exist and be in good standing based on vendor checks or
            previous processing histories.
        status:
          type: integer
          description: Bank account status
        services:
          type: array
          items:
            type: string
          description: Array of services associated with this bank account
      description: Object that contains bank account details.
      title: Bank
    type_:BankData:
      type: array
      items:
        $ref: '#/components/schemas/type_:Bank'
      description: Information about associated bank accounts.
      title: BankData
    type_:Bcity:
      type: string
      description: Business city
      title: Bcity
    type_:Bcountry:
      type: string
      description: >-
        Business country in ISO-3166-1 alpha 2 format. See:
        https://en.wikipedia.org/wiki/ISO_3166-1 for more information.
      title: Bcountry
    type_:Bphone:
      type: string
      description: Business phone number.
      title: Bphone
    type_:Binperson:
      type: integer
      description: >-
        Numeric percent of volume processed in person. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binperson
    type_:Binphone:
      type: integer
      description: >-
        Numeric percent of volume processed by phone. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binphone
    type_:Binweb:
      type: integer
      description: >-
        Numeric percent of volume processed on web. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binweb
    type_:BoardingLinkId:
      type: integer
      description: >-
        The boarding link ID. This is found at the end of the boarding link
        reference name. For example:
        `https://boarding.payabli.com/boarding/app/myorgaccountname-00091`. The
        ID is `91`.
      title: BoardingLinkId
    type_:BoardingStatus:
      type: integer
      description: >-
        The application's status in the merchant boarding process. See [Boarding
        Status Reference](/developers/references/boarding-statuses) for more.
      title: BoardingStatus
    type_:Busstartdate:
      type: string
      description: |-
        Business start date. Accepted formats:
          
          - YYYY-MM-DD

          - MM/DD/YYYY
      title: Busstartdate
    type_:Bstate:
      type: string
      description: Business state.
      title: Bstate
    type_:Bsummary:
      type: string
      description: A summary of what the business sells in terms of goods or services.
      title: Bsummary
    type_:ReadOnly:
      type: boolean
      description: When `true`, the element is read-only.
      title: ReadOnly
    type_:RequiredElement:
      type: boolean
      description: When `true`, the element is required.
      title: RequiredElement
    type_:ValueTemplates:
      type: string
      title: ValueTemplates
    type_:LinkData:
      type: object
      properties:
        ro:
          $ref: '#/components/schemas/type_:ReadOnly'
        rq:
          $ref: '#/components/schemas/type_:RequiredElement'
        validator:
          type: string
          description: |-
            The type of validation applied to the field. Available values: 
            - text
            - alpha
            - ein
            - url
            - phone
            - alphanumeric
            - zipcode
            - numbers
            - float
            - ssn
            - email
            - routing
        value:
          $ref: '#/components/schemas/type_:ValueTemplates'
      title: LinkData
    type_:AchLinkTypes:
      type: object
      properties:
        ccd:
          $ref: '#/components/schemas/type_:LinkData'
        ppd:
          $ref: '#/components/schemas/type_:LinkData'
        web:
          $ref: '#/components/schemas/type_:LinkData'
      title: AchLinkTypes
    type_:LinkRow:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/type_:LinkData'
      title: LinkRow
    type_:BasicTable:
      type: object
      properties:
        body:
          type: array
          items:
            $ref: '#/components/schemas/type_:LinkRow'
        header:
          $ref: '#/components/schemas/type_:LinkRow'
      title: BasicTable
    type_:AchSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/type_:AchLinkTypes'
        fees:
          $ref: '#/components/schemas/type_:BasicTable'
        price:
          $ref: '#/components/schemas/type_:BasicTable'
      title: AchSection
    type_:CardLinkTypes:
      type: object
      properties:
        amex:
          $ref: '#/components/schemas/type_:LinkData'
        discover:
          $ref: '#/components/schemas/type_:LinkData'
        mastercard:
          $ref: '#/components/schemas/type_:LinkData'
        visa:
          $ref: '#/components/schemas/type_:LinkData'
      title: CardLinkTypes
    type_:CardSection:
      type: object
      properties:
        acceptance:
          $ref: '#/components/schemas/type_:CardLinkTypes'
        fees:
          $ref: '#/components/schemas/type_:BasicTable'
        price:
          $ref: '#/components/schemas/type_:BasicTable'
      title: CardSection
    type_:SSection:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/type_:AchSection'
        card:
          $ref: '#/components/schemas/type_:CardSection'
      title: SSection
    type_:ASection:
      type: object
      properties:
        minimumDocuments:
          type: integer
        multipleContacts:
          type: boolean
        multipleOwners:
          type: boolean
      title: ASection
    type_:Bnk:
      type: object
      properties:
        accountNumber:
          $ref: '#/components/schemas/type_:LinkData'
        bankName:
          $ref: '#/components/schemas/type_:LinkData'
        routingAccount:
          $ref: '#/components/schemas/type_:LinkData'
        typeAccount:
          $ref: '#/components/schemas/type_:LinkData'
      title: Bnk
    type_:DSection:
      type: object
      properties:
        depositAccount:
          $ref: '#/components/schemas/type_:Bnk'
        withdrawalAccount:
          $ref: '#/components/schemas/type_:Bnk'
      title: DSection
    type_:BAddress:
      type: object
      properties:
        baddress:
          $ref: '#/components/schemas/type_:LinkData'
        baddress1:
          $ref: '#/components/schemas/type_:LinkData'
        bcity:
          $ref: '#/components/schemas/type_:LinkData'
        bcountry:
          $ref: '#/components/schemas/type_:LinkData'
        bstate:
          $ref: '#/components/schemas/type_:LinkData'
        bzip:
          $ref: '#/components/schemas/type_:LinkData'
        maddress:
          $ref: '#/components/schemas/type_:LinkData'
        maddress1:
          $ref: '#/components/schemas/type_:LinkData'
        mcity:
          $ref: '#/components/schemas/type_:LinkData'
        mcountry:
          $ref: '#/components/schemas/type_:LinkData'
        mstate:
          $ref: '#/components/schemas/type_:LinkData'
        mzip:
          $ref: '#/components/schemas/type_:LinkData'
      title: BAddress
    type_:BDetails:
      type: object
      properties:
        btype:
          $ref: '#/components/schemas/type_:LinkData'
        dbaname:
          $ref: '#/components/schemas/type_:LinkData'
        ein:
          $ref: '#/components/schemas/type_:LinkData'
        faxnumber:
          $ref: '#/components/schemas/type_:LinkData'
        legalname:
          $ref: '#/components/schemas/type_:LinkData'
        license:
          $ref: '#/components/schemas/type_:LinkData'
        licstate:
          $ref: '#/components/schemas/type_:LinkData'
        phonenumber:
          $ref: '#/components/schemas/type_:LinkData'
        startdate:
          $ref: '#/components/schemas/type_:LinkData'
        taxfillname:
          $ref: '#/components/schemas/type_:LinkData'
        website:
          $ref: '#/components/schemas/type_:LinkData'
      title: BDetails
    type_:BSection:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/type_:BAddress'
        details:
          $ref: '#/components/schemas/type_:BDetails'
      title: BSection
    type_:CList:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:LinkData'
        contactName:
          $ref: '#/components/schemas/type_:LinkData'
        contactPhone:
          $ref: '#/components/schemas/type_:LinkData'
        contactTitle:
          $ref: '#/components/schemas/type_:LinkData'
      title: CList
    type_:OList:
      type: object
      properties:
        oaddress:
          $ref: '#/components/schemas/type_:LinkData'
        ocity:
          $ref: '#/components/schemas/type_:LinkData'
        ocountry:
          $ref: '#/components/schemas/type_:LinkData'
        odriverstate:
          $ref: '#/components/schemas/type_:LinkData'
        ostate:
          $ref: '#/components/schemas/type_:LinkData'
        ownerdob:
          $ref: '#/components/schemas/type_:LinkData'
        ownerdriver:
          $ref: '#/components/schemas/type_:LinkData'
        owneremail:
          $ref: '#/components/schemas/type_:LinkData'
        ownername:
          $ref: '#/components/schemas/type_:LinkData'
        ownerpercent:
          $ref: '#/components/schemas/type_:LinkData'
        ownerphone1:
          $ref: '#/components/schemas/type_:LinkData'
        ownerphone2:
          $ref: '#/components/schemas/type_:LinkData'
        ownerssn:
          $ref: '#/components/schemas/type_:LinkData'
        ownertitle:
          $ref: '#/components/schemas/type_:LinkData'
        ozip:
          $ref: '#/components/schemas/type_:LinkData'
      title: OList
    type_:OSection:
      type: object
      properties:
        contact_list:
          $ref: '#/components/schemas/type_:CList'
        own_list:
          $ref: '#/components/schemas/type_:OList'
      title: OSection
    type_:PSection:
      type: object
      properties:
        avgmonthly:
          $ref: '#/components/schemas/type_:LinkData'
        binperson:
          $ref: '#/components/schemas/type_:LinkData'
        binphone:
          $ref: '#/components/schemas/type_:LinkData'
        binweb:
          $ref: '#/components/schemas/type_:LinkData'
        bsummary:
          $ref: '#/components/schemas/type_:LinkData'
        highticketamt:
          $ref: '#/components/schemas/type_:LinkData'
        mcc:
          $ref: '#/components/schemas/type_:LinkData'
        ticketamt:
          $ref: '#/components/schemas/type_:LinkData'
        whenCharged:
          $ref: '#/components/schemas/type_:LinkData'
        whenDelivered:
          $ref: '#/components/schemas/type_:LinkData'
        whenProvided:
          $ref: '#/components/schemas/type_:LinkData'
        whenRefunded:
          $ref: '#/components/schemas/type_:LinkData'
      title: PSection
    type_:BuilderData:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/type_:SSection'
        attributes:
          $ref: '#/components/schemas/type_:ASection'
        banking:
          $ref: '#/components/schemas/type_:DSection'
        business:
          $ref: '#/components/schemas/type_:BSection'
        owners:
          $ref: '#/components/schemas/type_:OSection'
        processing:
          $ref: '#/components/schemas/type_:PSection'
      title: BuilderData
    type_:Bzip:
      type: string
      description: Business ZIP.
      title: Bzip
    type_:AdditionalDataString:
      type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. Example usage: 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataString
    type_:Contacts:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: Contacts
    type_:ContactsField:
      type: array
      items:
        $ref: '#/components/schemas/type_:Contacts'
      description: List of contacts.
      title: ContactsField
    type_:CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    type_:Dbaname:
      type: string
      description: >-
        The alternate or common name that this business is doing business under
        usually referred to as a DBA name.
      title: Dbaname
    type_:PairFiles:
      type: object
      properties:
        originalName:
          type: string
          description: Original filename
        zipName:
          type: string
          description: >-
            Filename assigned to zipped file. This is the name to use for
            reference in the API functions to get files in attachments.
        descriptor:
          type: string
          description: Descriptor of the file.
      title: PairFiles
    type_:BoardingApplicationAttachments:
      type: object
      properties:
        filelist:
          type: array
          items:
            $ref: '#/components/schemas/type_:PairFiles'
          description: Array of objects describing files contained in the ZIP file.
        zipfile:
          type: string
          description: Zip file containing attachments.
      title: BoardingApplicationAttachments
    type_:Ein:
      type: string
      description: >-
        Business EIN or tax ID. This value is masked in API responses, for
        example `XXXX6789`.
      title: Ein
    type_:ExternalPaypointId:
      type: string
      description: >-
        A custom identifier for the paypoint, if applicable. Like `entrypoint`
        is the Payabli identifier for the merchant, `externalPaypointId` is a
        custom field you can use to include the merchant's ID from your own
        systems.
      title: ExternalPaypointId
    type_:Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    type_:GeneralEvents:
      type: object
      properties:
        description:
          type: string
          description: Event description.
        eventTime:
          type: string
          format: date-time
          description: Event timestamp, in UTC.
        extraData:
          type: object
          additionalProperties:
            description: Any type
          description: Extra data.
        refData:
          type: string
          description: Reference data.
        source:
          $ref: '#/components/schemas/type_:Source'
          description: The event source.
      title: GeneralEvents
    type_:Highticketamt:
      type: number
      format: double
      description: High ticket amount.
      title: Highticketamt
    type_:AppId:
      type: integer
      description: 'Boarding application ID. '
      title: AppId
    type_:LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    type_:Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    type_:License:
      type: string
      description: Business license ID or state ID number.
      title: License
    type_:Licensestate:
      type: string
      description: Business license issuing state or province.
      title: Licensestate
    type_:FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided)
      title: FileContentFtype
    type_:FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: >-
            Content of file, Base64-encoded. Ignored if furl is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/type_:FileContentFtype'
          description: The MIME type of the file (if content is provided)
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    type_:Maddress:
      type: string
      description: The business's mailing address.
      title: Maddress
    type_:Maddress1:
      type: string
      description: Additional line for the business's mailing address.
      title: Maddress1
    type_:Mstate:
      type: string
      description: The business's mailing address state.
      title: Mstate
    type_:Mcountry:
      type: string
      description: Business mailing country.
      title: Mcountry
    type_:Mzip:
      type: string
      description: Business mailing ZIP.
      title: Mzip
    type_:Orgid:
      type: integer
      format: int64
      description: Organization ID. Unique identifier assigned to an org by Payabli.
      title: Orgid
    type_:OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    type_:Owners:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/type_:Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: Owners
    type_:Ownership:
      type: array
      items:
        $ref: '#/components/schemas/type_:Owners'
      description: List of Owners with at least a 25% ownership.
      title: Ownership
    type_:OwnType:
      type: string
      enum:
        - Limited Liability Company
        - Non-Profit Org
        - Partnership
        - Private Corp
        - Public Corp
        - Tax Exempt
        - Government
        - Sole Proprietor
      description: The business ownership type.
      title: OwnType
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:RecipientEmailNotification:
      type: boolean
      description: >-
        When `true`, Payabli will send the applicant a boarding link. Set this
        value to `false` if you are sending pre-filled applications via the API
        and don't want Payabli to send the applicant an email to complete the
        boarding application.
      title: RecipientEmailNotification
    type_:Resumable:
      type: boolean
      description: >-
        When `true`, the applicant can save an incomplete application and resume
        it later. When `false`, the applicant  won't have an option to save
        their progress, and must complete the application in one session.
      title: Resumable
    type_:SalesCode:
      type: string
      title: SalesCode
    type_:AchSetup:
      type: object
      properties:
        acceptCCD:
          type: boolean
          description: >-
            CCD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Corporate Credit or Debit
            Entry. Options are: `true` and `false`
        acceptPPD:
          type: boolean
          description: >-
            PPD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Prearranged Payment and
            Deposit.
        acceptWeb:
          type: boolean
          description: >-
            Web is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Internet Initiated/Mobile
            Entry Options are `true` and `false`.
      title: AchSetup
    type_:CardSetup:
      type: object
      properties:
        acceptAmex:
          type: boolean
          description: Determines whether American Express is accepted.
        acceptDiscover:
          type: boolean
          description: Determines whether Discover is accepted.
        acceptMastercard:
          type: boolean
          description: Determines whether Mastercard is accepted.
        acceptVisa:
          type: boolean
          description: Determines whether Visa is accepted.
      title: CardSetup
    type_:OdpSetupProcessingRegion:
      type: string
      enum:
        - US
        - CA
      description: Region where payment processing occurs
      title: OdpSetupProcessingRegion
    type_:OdpSetup:
      type: object
      properties:
        allowAch:
          type: boolean
          description: Enables or disables ACH payout functionality
        allowChecks:
          type: boolean
          description: Enables or disables check printing payout functionality
        allowVCard:
          type: boolean
          description: Enables or disables vCard payout functionality
        processing_region:
          $ref: '#/components/schemas/type_:OdpSetupProcessingRegion'
          description: Region where payment processing occurs
        processor:
          type: string
          description: Payment processor identifier
        issuerNetworkSettingsId:
          type: string
          description: Reference ID for the program enabled for ODP issuance
      title: OdpSetup
    type_:Services:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/type_:AchSetup'
        card:
          $ref: '#/components/schemas/type_:CardSetup'
        odp:
          $ref: '#/components/schemas/type_:OdpSetup'
      description: Controls which services will be enabled for the merchant.
      title: Services
    type_:SignerName:
      type: string
      description: The signer's name.
      title: SignerName
    type_:SignerSsn:
      type: string
      description: The signer's SSN.
      title: SignerSsn
    type_:SignerDob:
      type: string
      description: The signer's date of birth.
      title: SignerDob
    type_:SignerPhone:
      type: string
      description: The signer's phone number.
      title: SignerPhone
    type_:Signeraddress:
      type: string
      description: >-
        The signer's address. This must be the physical address of the signer,
        not a P.O. box.
      title: Signeraddress
    type_:SignerAddress1:
      type: string
      description: >-
        Additional line for the signer's address. If used, this must be the
        physical address of the signer, not a P.O. box.
      title: SignerAddress1
    type_:SignerCity:
      type: string
      description: The signer's city.
      title: SignerCity
    type_:SignerState:
      type: string
      description: The signer's state.
      title: SignerState
    type_:SignerZip:
      type: string
      description: The signer's zip code.
      title: SignerZip
    type_:SignerCountry:
      type: string
      description: >-
        The signer's country in ISO-3166-1 alpha 2 format. See this reference
        for more: https://en.wikipedia.org/wiki/ISO_3166-1.
      title: SignerCountry
    type_:SignerAcceptance:
      type: boolean
      description: >-
        The signer's acceptance status. A true or false indicating an acceptance
        to the terms of service with the root org or provider.
      title: SignerAcceptance
    type_:PciAttestation:
      type: boolean
      description: >-
        When `true`, indicates that the merchant acknowledges PCI
        responsibilities and can be enrolled in the PCI program for breach
        insurance
      title: PciAttestation
    type_:AttestationDate:
      type: string
      description: >-
        Date the attestation was provided for PCI Compliance (`pciAttestation`),
        in MM/DD/YYYY format.
      title: AttestationDate
    type_:SignDate:
      type: string
      description: |-
        Date when the signer signed the document. Accepted formats:
        YYYY-MM-DD, MM/DD/YYYY
      title: SignDate
    type_:AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    type_:SignerData:
      type: object
      properties:
        signerUuid:
          type: string
          description: The signer's ID. This is automatically generated by Payabli.
        name:
          $ref: '#/components/schemas/type_:SignerName'
        ssn:
          $ref: '#/components/schemas/type_:SignerSsn'
        dob:
          $ref: '#/components/schemas/type_:SignerDob'
        phone:
          $ref: '#/components/schemas/type_:SignerPhone'
        email:
          $ref: '#/components/schemas/type_:Email'
          description: The signer's email address.
        address:
          $ref: '#/components/schemas/type_:Signeraddress'
        address1:
          $ref: '#/components/schemas/type_:SignerAddress1'
        city:
          $ref: '#/components/schemas/type_:SignerCity'
        state:
          $ref: '#/components/schemas/type_:SignerState'
        zip:
          $ref: '#/components/schemas/type_:SignerZip'
        country:
          $ref: '#/components/schemas/type_:SignerCountry'
        acceptance:
          $ref: '#/components/schemas/type_:SignerAcceptance'
        signedDocumentReference:
          type: string
          description: Reference to the signed document.
        pciAttestation:
          $ref: '#/components/schemas/type_:PciAttestation'
        attestationDate:
          $ref: '#/components/schemas/type_:AttestationDate'
        signDate:
          $ref: '#/components/schemas/type_:SignDate'
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
      description: Information about the application's signer.
      title: SignerData
    type_:Taxfillname:
      type: string
      description: >-
        Business name in tax document. This is only relevant if a government
        entity has given you an alternative name to file tax documents with.
      title: Taxfillname
    type_:TemplateId:
      type: integer
      format: int64
      description: The associated boarding template's ID in Payabli.
      title: TemplateId
    type_:Website:
      type: string
      description: >-
        The business website address. Include only the domain and TLD, do not
        enter the protocol (http/https). For example: `www.example.com` is
        acceptable.
      title: Website
    type_:Whencharged:
      type: string
      enum:
        - When Service Provided
        - In Advance
      description: >-
        Describes when customers are charged for goods or services. Accepted
        values:
      title: Whencharged
    type_:Whendelivered:
      type: string
      enum:
        - 0-7 Days
        - 8-14 Days
        - 15-30 Days
        - Over 30 Days
      description: When goods and services are delivered.
      title: Whendelivered
    type_:Whenprovided:
      type: string
      enum:
        - 30 Days or Less
        - 31 to 60 Days
        - 60+ Days
      description: Describes when goods or services are provided, from time of transaction.
      title: Whenprovided
    type_:Whenrefunded:
      type: string
      enum:
        - Exchange Only
        - No Refund or Exchange
        - More than 30 days
        - 30 Days or Less
      description: Describes the business refund policy.
      title: Whenrefunded
    type_:RepCode:
      type: string
      description: >-
        Sales representative code. This is an optional field that can be used to
        track the sales representative associated with the application.
      title: RepCode
    type_:RepName:
      type: string
      description: >-
        Sales representative name. This is an optional field that can be used to
        track the sales representative associated with the application.
      title: RepName
    type_:RepOffice:
      type: string
      description: >-
        Sales representative office location. This is an optional field that can
        be used to track the sales representative office associated with the
        application.
      title: RepOffice
    type_:ApplicationQueryRecord:
      type: object
      properties:
        annualRevenue:
          $ref: '#/components/schemas/type_:Annualrevenue'
        averageMonthlyVolume:
          $ref: '#/components/schemas/type_:Avgmonthly'
        averageTicketAmount:
          $ref: '#/components/schemas/type_:Ticketamt'
        bAddress1:
          $ref: '#/components/schemas/type_:Baddress1'
        bAddress2:
          $ref: '#/components/schemas/type_:Baddress2'
        bankData:
          $ref: '#/components/schemas/type_:BankData'
        bCity:
          $ref: '#/components/schemas/type_:Bcity'
        bCountry:
          $ref: '#/components/schemas/type_:Bcountry'
        bFax:
          $ref: '#/components/schemas/type_:Bphone'
          description: The business's fax number.
        binPerson:
          $ref: '#/components/schemas/type_:Binperson'
        binPhone:
          $ref: '#/components/schemas/type_:Binphone'
        binWeb:
          $ref: '#/components/schemas/type_:Binweb'
        boardingLinkId:
          $ref: '#/components/schemas/type_:BoardingLinkId'
        boardingStatus:
          $ref: '#/components/schemas/type_:BoardingStatus'
        boardingSubStatus:
          $ref: '#/components/schemas/type_:BoardingStatus'
        bPhone:
          $ref: '#/components/schemas/type_:Bphone'
        bStartdate:
          $ref: '#/components/schemas/type_:Busstartdate'
        bState:
          $ref: '#/components/schemas/type_:Bstate'
        bSummary:
          $ref: '#/components/schemas/type_:Bsummary'
        builderData:
          $ref: '#/components/schemas/type_:BuilderData'
        bZip:
          $ref: '#/components/schemas/type_:Bzip'
        contactData:
          $ref: '#/components/schemas/type_:ContactsField'
        createdAt:
          $ref: '#/components/schemas/type_:CreatedAt'
        dbaName:
          $ref: '#/components/schemas/type_:Dbaname'
        documentsRef:
          $ref: '#/components/schemas/type_:BoardingApplicationAttachments'
        ein:
          $ref: '#/components/schemas/type_:Ein'
        externalPaypointId:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        generalEvents:
          type: array
          items:
            $ref: '#/components/schemas/type_:GeneralEvents'
          description: Events associated with the application.
        highTicketAmount:
          $ref: '#/components/schemas/type_:Highticketamt'
        idApplication:
          $ref: '#/components/schemas/type_:AppId'
        lastModified:
          $ref: '#/components/schemas/type_:LastModified'
        legalName:
          $ref: '#/components/schemas/type_:Legalname'
        license:
          $ref: '#/components/schemas/type_:License'
        licenseState:
          $ref: '#/components/schemas/type_:Licensestate'
        logo:
          $ref: '#/components/schemas/type_:FileContent'
          description: Object containing logo file.
        mAddress1:
          $ref: '#/components/schemas/type_:Maddress'
        mAddress2:
          $ref: '#/components/schemas/type_:Maddress1'
        mccid:
          type: string
        mCity:
          $ref: '#/components/schemas/type_:Mstate'
        mCountry:
          $ref: '#/components/schemas/type_:Mcountry'
        mState:
          $ref: '#/components/schemas/type_:Mstate'
        mZip:
          $ref: '#/components/schemas/type_:Mzip'
        orgId:
          $ref: '#/components/schemas/type_:Orgid'
        orgParentName:
          $ref: '#/components/schemas/type_:OrgParentName'
        ownerData:
          $ref: '#/components/schemas/type_:Ownership'
        ownType:
          $ref: '#/components/schemas/type_:OwnType'
        pageidentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        recipientEmailNotification:
          $ref: '#/components/schemas/type_:RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/type_:Resumable'
        salesCode:
          $ref: '#/components/schemas/type_:SalesCode'
        serviceData:
          $ref: '#/components/schemas/type_:Services'
        signer:
          $ref: '#/components/schemas/type_:SignerData'
        taxfillname:
          $ref: '#/components/schemas/type_:Taxfillname'
        templateId:
          $ref: '#/components/schemas/type_:TemplateId'
        websiteAddress:
          $ref: '#/components/schemas/type_:Website'
        whencharged:
          $ref: '#/components/schemas/type_:Whencharged'
        whendelivered:
          $ref: '#/components/schemas/type_:Whendelivered'
        whenProvided:
          $ref: '#/components/schemas/type_:Whenprovided'
        whenrefund:
          $ref: '#/components/schemas/type_:Whenrefunded'
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
        RepCode:
          $ref: '#/components/schemas/type_:RepCode'
        RepName:
          $ref: '#/components/schemas/type_:RepName'
        RepOffice:
          $ref: '#/components/schemas/type_:RepOffice'
      title: ApplicationQueryRecord
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript Example
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.boarding.getApplicationByAuth("17E", {
        email: "admin@email.com",
        referenceId: "n6UCd1f1ygG7",
    });
}
main();

```

```python Example
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.boarding.get_application_by_auth(
    x_id="17E",
    email="admin@email.com",
    reference_id="n6UCd1f1ygG7",
)

```

```csharp Example
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Boarding.GetApplicationByAuthAsync(
            "17E",
            new RequestAppByAuth {
                Email = "admin@email.com",
                ReferenceId = "n6UCd1f1ygG7"
            }
        );
    }

}

```

```go Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Boarding/read/17E"

	payload := strings.NewReader("{\n  \"email\": \"admin@email.com\",\n  \"referenceId\": \"n6UCd1f1ygG7\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("requestToken", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Boarding/read/17E")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["requestToken"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"admin@email.com\",\n  \"referenceId\": \"n6UCd1f1ygG7\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api-sandbox.payabli.com/api/Boarding/read/17E")
  .header("requestToken", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"admin@email.com\",\n  \"referenceId\": \"n6UCd1f1ygG7\"\n}")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api-sandbox.payabli.com/api/Boarding/read/17E', [
  'body' => '{
  "email": "admin@email.com",
  "referenceId": "n6UCd1f1ygG7"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'requestToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```swift Example
import Foundation

let headers = [
  "requestToken": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "admin@email.com",
  "referenceId": "n6UCd1f1ygG7"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Boarding/read/17E")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```